Supported languages

EVO Terminals

VX675, VX680, VX690, VX820, E315, E355

Software version 1.16p2 and higher:

  • Bulgarian
  • Catalan
  • Chinese (Simplified)
  • Croatian
  • Czech
  • Dutch (Netherlands)
  • Estonian
  • French (France)
  • German (Germany)
  • Greek
  • Hungarian
  • Italian (Italy)
  • Japanese
  • Latvian
  • Lithuanian
  • Norwegian
  • Polish (Poland)
  • Portuguese (Portugal)
  • Romanian
  • Russian
  • Slovak
  • Slovenian
  • Spanish (Spain)
  • Swedish

Software version 1.14p12 and higher:

  • Chinese
  • Dutch
  • French
  • German
  • Italian
  • Japanese
  • Norwegian
  • Portuguese
  • Spanish
  • Swedish

VOS Terminals

MX925, MX915, P400 plus

Software version 1.11 and higher:

  • Bulgarian
  • Catalan
  • Chinese (Simplified)
  • Croatian
  • Czech
  • Dutch (Netherlands)
  • Estonian
  • French (France)
  • German (Germany)
  • Greek
  • Hungarian
  • Italian (Italy)
  • Japanese
  • Latvian
  • Lithuanian
  • Norwegian
  • Polish (Poland)
  • Portuguese (Portugal)
  • Romanian
  • Russian
  • Slovak
  • Slovenian
  • Spanish (Spain)
  • Swedish